Bug 1792364 - Review Request: php-laminas-memory - Laminas Framework Memory component
Summary: Review Request: php-laminas-memory - Laminas Framework Memory component
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792358
Blocks: 1792368
TreeView+ depends on / blocked
 
Reported: 2020-01-17 14:57 UTC by Remi Collet
Modified: 2020-01-24 08:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 08:52:02 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 14:57:28 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-memory.git/plain/php-laminas-memory.spec?id=c499aea410839bb67cf585a68e96132ceed0f9c7
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-memory-2.6.1-2.remi.src.rpm
Description: 
The Laminas\Memory component is intended to manage data in an environment with
limited memory.

Memory objects (memory containers) are generated by memory manager by request
and transparently swapped/loaded when it’s necessary.

For example, if creating or loading a managed object would cause the total
memory usage to exceed the limit you specify, some managed objects are copied
to cache storage outside of memory. In this way, the total memory used by
managed objects does not exceed the limit you need to enforce.

Documentation: https://docs.laminas.dev/laminas-memory/



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-22 20:44:00 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Remi Collet 2020-01-24 08:52:02 UTC
Thanks,

built


Note You need to log in before you can comment on or make changes to this bug.